unit Unit1;

interface

uses
  Windows, Messages, SysUtils,
  Variants, Classes,
  Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    Label5: TLabel;
    ColorBox1: TColorBox;
    Label6: TLabel;
    ComboBox1: TComboBox;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ColorBox1Select(Sender: TObject);
    procedure ComboBox1Select(Sender: TObject);
  private
    { Private declarations }
    ZonDib : TCanvas;
    kol    : integer;
  public
    { Public declarations }
    procedure linea(x1,y1,x2,y2,col : integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ZonDib := Image1.Canvas;
  kol    := 0; // pluma negra
end;

procedure TForm1.linea(x1,y1,x2,y2,col : integer);
var
  tt : integer;
begin
  tt := ZonDib.Pen.Color;
  ZonDib.Pen.Color := col;
  ZonDib.MoveTo(x1,y1);
  ZonDib.LineTo(x2,y2);
  ZonDib.Pen.Color := tt;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  a1,b1,a2,b2 : integer;
begin
  // lectura de datos
  a1 := StrToInt(Edit1.Text);
  b1 := StrToInt(Edit2.Text);
  a2 := StrToInt(Edit3.Text);
  b2 := StrToInt(Edit4.Text);

  // pintar linea
  linea(a1,b1,a2,b2,kol);
end;

procedure TForm1.ColorBox1Select(Sender: TObject);
begin
  kol := ColorBox1.Selected;
end;


procedure TForm1.ComboBox1Select(Sender: TObject);
var
  anli : integer;
begin
  anli := ComboBox1.ItemIndex + 1;
  ZonDib.Pen.Width := anli;
end;

end.

